Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.custom
Interface CTabFolder2Listener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  CTabFolder2Adapter

public interface CTabFolder2Listener
extends org.eclipse.swt.internal.SWTEventListener

Classes which implement this interface provide methods that deal with the events that are generated by the CTabFolder control.

After creating an instance of a class that implements this interface it can be added to a CTabFolder using the `addCTabFolder2Listener` method and removed using the `removeCTabFolder2Listener` method. When events occurs in a CTabFolder the appropriate method will be invoked.

Since:
  3.0
See Also:
  `CTabFolder2Adapter`, `CTabFolderEvent`

Method Summary
`void` | `close(CTabFolderEvent event)` Sent when the user clicks on the close button of an item in the CTabFolder.
`void` | `maximize(CTabFolderEvent event)` Sent when the user clicks on the maximize button of a CTabFolder.
`void` | `minimize(CTabFolderEvent event)` Sent when the user clicks on the minimize button of a CTabFolder.
`void` | `restore(CTabFolderEvent event)` Sent when the user clicks on the restore button of a CTabFolder.
`void` | `showList(CTabFolderEvent event)` Sent when the user clicks on the chevron button of the CTabFolder.

Method Detail

### close

    public void close(CTabFolderEvent event)

  Sent when the user clicks on the close button of an item in the CTabFolder. The item being closed is specified in the event.item field. Setting the event.doit field to false will stop the CTabItem from closing. When the CTabItem is closed, it is disposed. The contents of the CTabItem (see CTabItem.setControl) will be made not visible when the CTabItem is closed.

  Parameters:
    `event` - an event indicating the item being closed

### minimize

    public void minimize(CTabFolderEvent event)

  Sent when the user clicks on the minimize button of a CTabFolder. The state of the CTabFolder does not change automatically - it is up to the application to change the state of the CTabFolder in response to this event using CTabFolder.setMinimized(true).

  Parameters:
    `event` - an event containing information about the minimize
  See Also:
    `CTabFolder.getMinimized()`, `CTabFolder.setMinimized(boolean)`, `CTabFolder.setMinimizeVisible(boolean)`

### maximize

    public void maximize(CTabFolderEvent event)

  Sent when the user clicks on the maximize button of a CTabFolder. The state of the CTabFolder does not change automatically - it is up to the application to change the state of the CTabFolder in response to this event using CTabFolder.setMaximized(true).

  Parameters:
    `event` - an event containing information about the maximize
  See Also:
    `CTabFolder.getMaximized()`, `CTabFolder.setMaximized(boolean)`, `CTabFolder.setMaximizeVisible(boolean)`

### restore

    public void restore(CTabFolderEvent event)

  Sent when the user clicks on the restore button of a CTabFolder. This event is sent either to restore the CTabFolder from the minimized state or from the maximized state. To determine which restore is requested, use CTabFolder.getMinimized() or CTabFolder.getMaximized() to determine the current state. The state of the CTabFolder does not change automatically - it is up to the application to change the state of the CTabFolder in response to this event using CTabFolder.setMaximized(false) or CTabFolder.setMinimized(false).

  Parameters:
    `event` - an event containing information about the restore
  See Also:
    `CTabFolder.getMinimized()`, `CTabFolder.getMaximized()`, `CTabFolder.setMinimized(boolean)`, `CTabFolder.setMinimizeVisible(boolean)`, `CTabFolder.setMaximized(boolean)`, `CTabFolder.setMaximizeVisible(boolean)`

### showList

    public void showList(CTabFolderEvent event)

  Sent when the user clicks on the chevron button of the CTabFolder. A chevron appears in the CTabFolder when there are more tabs than can be displayed at the current widget size. To select a tab that is not currently visible, the user clicks on the chevron and selects a tab item from a list. By default, the CTabFolder provides a list of all the items that are not currently visible, however, the application can provide its own list by setting the event.doit field to `false` and displaying a selection list.

  Parameters:
    `event` - an event containing information about the show list
  See Also:
    `CTabFolder.setSelection(CTabItem)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.